Get an encounter

Returns one normalized Branches encounter and its latest claim for the authenticated workspace.

Path Parameters
  • id
    Type: string
    required

    Branches encounter id returned by POST /encounters.

Responses
  • application/json
  • 401

    Missing or invalid API key.

  • 404

    Encounter not found in the authenticated workspace.

Request Example for get/encounters/{id}
curl 'https://api.withbranches.com/encounters/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "external_id": "string",
  "created_at": "2026-06-17T23:30:23.875Z",
  "source": "api",
  "metadata": null,
  "schema_instances": [
    {
      "schema_id": "string",
      "content": {}
    }
  ],
  "patient_id": null,
  "service_facility_id": null,
  "latest_claim_id": null,
  "initial_claim_status": null,
  "initial_patient_control_number": null,
  "last_event_at": null,
  "latest_claim": {
    "id": "string",
    "created_at": "2026-06-17T23:30:23.875Z",
    "status": "draft",
    "status_changed_at": "2026-06-17T23:30:23.875Z",
    "last_checked_at": null,
    "processing_started_at": null,
    "processing_ended_at": null,
    "patient_control_number": "string",
    "patient": {
      "first_name": "string",
      "last_name": "string",
      "gender": "male",
      "external_id": "string",
      "date_of_birth": "string",
      "address": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "string"
      },
      "phone_numbers": [],
      "phone_consent": true,
      "email": "string",
      "email_consent": true,
      "auto_charge_consent": true,
      "non_insurance_payers": [
        "string"
      ],
      "non_insurance_payers_info": []
    },
    "billing_provider": {
      "address": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "string"
      },
      "tax_id": "string",
      "npi": "string",
      "first_name": null,
      "last_name": null,
      "organization_name": null,
      "taxonomy_code": null,
      "provider_commercial_license_type": null,
      "secondary_identification": null
    },
    "rendering_provider": {
      "npi": "string",
      "first_name": null,
      "last_name": null,
      "organization_name": null,
      "taxonomy_code": null,
      "address": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "string"
      },
      "secondary_identification": null
    },
    "diagnoses": [
      {
        "code_type": "ABF",
        "code": "string",
        "name": "string",
        "present_on_admission_indicator": "YES"
      }
    ],
    "service_lines": [
      {
        "procedure_code": "string",
        "quantity": 1,
        "units": "MJ",
        "diagnosis_pointers": [
          0
        ],
        "modifiers": [
          "string"
        ],
        "charge_amount_cents": 1,
        "description": "string",
        "date_of_service": "string",
        "end_date_of_service": "string",
        "place_of_service_code": "10",
        "has_epsdt_indicator": true,
        "has_family_planning_indicator": true,
        "drug_identification": null,
        "ordering_provider": null,
        "test_results": [],
        "note": "string",
        "prior_authorization_number": "string",
        "external_id": "string"
      }
    ],
    "service_facility": {
      "service_facility_id": "string",
      "organization_name": "string",
      "npi": "string",
      "address": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "string"
      },
      "secondary_identification": "string",
      "mammography_certification_number": "string"
    },
    "subscriber_primary": {
      "first_name": "string",
      "last_name": "string",
      "gender": "male",
      "patient_relationship_to_subscriber_code": "10",
      "insurance_card": {
        "member_id": "string",
        "payer_name": "string",
        "payer_id": "string",
        "group_number": "string",
        "plan_name": "string",
        "plan_type": "string",
        "insurance_type": "string",
        "payer_plan_group_id": "string",
        "payer_address": {
          "address1": "string",
          "address2": "string",
          "city": "string",
          "state": "AA",
          "zip_code": "string",
          "zip_plus_four_code": "string"
        },
        "rx_bin": "string",
        "rx_pcn": "string",
        "image_url_front": "string",
        "image_url_back": "string",
        "emr_payer_crosswalk": "HEALTHIE",
        "payer_plan_group_name": "string",
        "claim_filing_code": "string"
      },
      "date_of_birth": "string",
      "address": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "zip_plus_four_code": "string"
      }
    },
    "payer_id": null,
    "payer_name": null,
    "patient_authorized_release": true,
    "benefits_assigned_to_provider": true,
    "provider_accepts_assignment": true,
    "billable_status": "BILLABLE",
    "responsible_party": "INSURANCE_PAY",
    "place_of_service_code": "string",
    "date_of_service": null,
    "resubmission_original_claim_id": null,
    "resubmission_action": null,
    "original_payer_claim_control_number": null,
    "stedi_transaction_ids": [
      "string"
    ]
  }
}